-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local vos = require 'utils.vos'

local m = {}

-- 处理器资源树接口
local JAR_FILE_PATH <const> = "/opt/bmc/web/htdocs/bmc/pages/jar/vconsole.jar"

---是否显示Java KVM入口
---@return boolean
function m.check_jar_file_exist()
    return vos.get_file_accessible(JAR_FILE_PATH)
end

return m
